﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SiteELearning
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="Elearning")]
	public partial class linqtosql1DataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    partial void Insertniveauscolair(niveauscolair instance);
    partial void Updateniveauscolair(niveauscolair instance);
    partial void Deleteniveauscolair(niveauscolair instance);
    partial void InsertCour(Cour instance);
    partial void UpdateCour(Cour instance);
    partial void DeleteCour(Cour instance);
    partial void InsertStudent(Student instance);
    partial void UpdateStudent(Student instance);
    partial void DeleteStudent(Student instance);
    #endregion
		
		public linqtosql1DataContext() : 
				base(global::System.Configuration.ConfigurationManager.ConnectionStrings["ElearningConnectionString"].ConnectionString, mappingSource)
		{
			OnCreated();
		}
		
		public linqtosql1DataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public linqtosql1DataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public linqtosql1DataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public linqtosql1DataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<niveauscolair> niveauscolairs
		{
			get
			{
				return this.GetTable<niveauscolair>();
			}
		}
		
		public System.Data.Linq.Table<Cour> Cours
		{
			get
			{
				return this.GetTable<Cour>();
			}
		}
		
		public System.Data.Linq.Table<Student> Students
		{
			get
			{
				return this.GetTable<Student>();
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.niveauscolair")]
	public partial class niveauscolair : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _idNiv;
		
		private string _NivScolaire;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnidNivChanging(int value);
    partial void OnidNivChanged();
    partial void OnNivScolaireChanging(string value);
    partial void OnNivScolaireChanged();
    #endregion
		
		public niveauscolair()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idNiv", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int idNiv
		{
			get
			{
				return this._idNiv;
			}
			set
			{
				if ((this._idNiv != value))
				{
					this.OnidNivChanging(value);
					this.SendPropertyChanging();
					this._idNiv = value;
					this.SendPropertyChanged("idNiv");
					this.OnidNivChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_NivScolaire", DbType="VarChar(MAX) NOT NULL", CanBeNull=false)]
		public string NivScolaire
		{
			get
			{
				return this._NivScolaire;
			}
			set
			{
				if ((this._NivScolaire != value))
				{
					this.OnNivScolaireChanging(value);
					this.SendPropertyChanging();
					this._NivScolaire = value;
					this.SendPropertyChanged("NivScolaire");
					this.OnNivScolaireChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Cours")]
	public partial class Cour : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Idcours;
		
		private int _idNiv;
		
		private int _idProf;
		
		private string _nomCours;
		
		private int _idpdf;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdcoursChanging(int value);
    partial void OnIdcoursChanged();
    partial void OnidNivChanging(int value);
    partial void OnidNivChanged();
    partial void OnidProfChanging(int value);
    partial void OnidProfChanged();
    partial void OnnomCoursChanging(string value);
    partial void OnnomCoursChanged();
    partial void OnidpdfChanging(int value);
    partial void OnidpdfChanged();
    #endregion
		
		public Cour()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Idcours", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Idcours
		{
			get
			{
				return this._Idcours;
			}
			set
			{
				if ((this._Idcours != value))
				{
					this.OnIdcoursChanging(value);
					this.SendPropertyChanging();
					this._Idcours = value;
					this.SendPropertyChanged("Idcours");
					this.OnIdcoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idNiv", DbType="Int NOT NULL")]
		public int idNiv
		{
			get
			{
				return this._idNiv;
			}
			set
			{
				if ((this._idNiv != value))
				{
					this.OnidNivChanging(value);
					this.SendPropertyChanging();
					this._idNiv = value;
					this.SendPropertyChanged("idNiv");
					this.OnidNivChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idProf", DbType="Int NOT NULL")]
		public int idProf
		{
			get
			{
				return this._idProf;
			}
			set
			{
				if ((this._idProf != value))
				{
					this.OnidProfChanging(value);
					this.SendPropertyChanging();
					this._idProf = value;
					this.SendPropertyChanged("idProf");
					this.OnidProfChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nomCours", DbType="VarChar(MAX) NOT NULL", CanBeNull=false)]
		public string nomCours
		{
			get
			{
				return this._nomCours;
			}
			set
			{
				if ((this._nomCours != value))
				{
					this.OnnomCoursChanging(value);
					this.SendPropertyChanging();
					this._nomCours = value;
					this.SendPropertyChanged("nomCours");
					this.OnnomCoursChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idpdf", DbType="Int NOT NULL")]
		public int idpdf
		{
			get
			{
				return this._idpdf;
			}
			set
			{
				if ((this._idpdf != value))
				{
					this.OnidpdfChanging(value);
					this.SendPropertyChanging();
					this._idpdf = value;
					this.SendPropertyChanged("idpdf");
					this.OnidpdfChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Student")]
	public partial class Student : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _nom;
		
		private string _prenom;
		
		private string _email;
		
		private string _username;
		
		private string _password;
		
		private bool _firstTime;
		
		private int _idNiv;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnnomChanging(string value);
    partial void OnnomChanged();
    partial void OnprenomChanging(string value);
    partial void OnprenomChanged();
    partial void OnemailChanging(string value);
    partial void OnemailChanged();
    partial void OnusernameChanging(string value);
    partial void OnusernameChanged();
    partial void OnpasswordChanging(string value);
    partial void OnpasswordChanged();
    partial void OnfirstTimeChanging(bool value);
    partial void OnfirstTimeChanged();
    partial void OnidNivChanging(int value);
    partial void OnidNivChanged();
    #endregion
		
		public Student()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_nom", DbType="VarChar(MAX) NOT NULL", CanBeNull=false)]
		public string nom
		{
			get
			{
				return this._nom;
			}
			set
			{
				if ((this._nom != value))
				{
					this.OnnomChanging(value);
					this.SendPropertyChanging();
					this._nom = value;
					this.SendPropertyChanged("nom");
					this.OnnomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_prenom", DbType="VarChar(MAX) NOT NULL", CanBeNull=false)]
		public string prenom
		{
			get
			{
				return this._prenom;
			}
			set
			{
				if ((this._prenom != value))
				{
					this.OnprenomChanging(value);
					this.SendPropertyChanging();
					this._prenom = value;
					this.SendPropertyChanged("prenom");
					this.OnprenomChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_email", DbType="VarChar(MAX) NOT NULL", CanBeNull=false)]
		public string email
		{
			get
			{
				return this._email;
			}
			set
			{
				if ((this._email != value))
				{
					this.OnemailChanging(value);
					this.SendPropertyChanging();
					this._email = value;
					this.SendPropertyChanged("email");
					this.OnemailChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_username", DbType="VarChar(MAX) NOT NULL", CanBeNull=false)]
		public string username
		{
			get
			{
				return this._username;
			}
			set
			{
				if ((this._username != value))
				{
					this.OnusernameChanging(value);
					this.SendPropertyChanging();
					this._username = value;
					this.SendPropertyChanged("username");
					this.OnusernameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_password", DbType="VarChar(MAX) NOT NULL", CanBeNull=false)]
		public string password
		{
			get
			{
				return this._password;
			}
			set
			{
				if ((this._password != value))
				{
					this.OnpasswordChanging(value);
					this.SendPropertyChanging();
					this._password = value;
					this.SendPropertyChanged("password");
					this.OnpasswordChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_firstTime", DbType="Bit NOT NULL")]
		public bool firstTime
		{
			get
			{
				return this._firstTime;
			}
			set
			{
				if ((this._firstTime != value))
				{
					this.OnfirstTimeChanging(value);
					this.SendPropertyChanging();
					this._firstTime = value;
					this.SendPropertyChanged("firstTime");
					this.OnfirstTimeChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_idNiv", DbType="Int NOT NULL")]
		public int idNiv
		{
			get
			{
				return this._idNiv;
			}
			set
			{
				if ((this._idNiv != value))
				{
					this.OnidNivChanging(value);
					this.SendPropertyChanging();
					this._idNiv = value;
					this.SendPropertyChanged("idNiv");
					this.OnidNivChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
#pragma warning restore 1591
